FriBiDi Functions
Gender
FriBiDi Functions
PHP Manual

# fribidi_log2vis

Convert a logical string to a visual one

### Description

string fribidi_log2vis ( string `$str` , string `$direction` , int `$charset` )

Converts a logical string to a visual one.

### Parameters

`str`

  The logical string.

`direction`

  One of `FRIBIDI_RTL`, `FRIBIDI_LTR` or `FRIBIDI_AUTO`.

`charset`

  One of the FRIBIDI_CHARSET_XXX constants.

### Return Values

Returns the visual string on success or `FALSE` on failure.